Get chat
curl --request GET \
--url https://api.upon-ai.com/api/chats/{chatId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.upon-ai.com/api/chats/{chatId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upon-ai.com/api/chats/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chatId": "<string>",
"agentId": "<string>",
"version": 123,
"status": "<string>",
"type": "web_chat",
"metadata": {},
"customAttributes": {},
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"transcript": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{}
]
}
],
"chatCost": {},
"chatAnalysis": {},
"collectedDynamicVariables": {},
"uponai_dynamic_variables": {},
"overrideDynamicVariables": {}
}Chats
Get chat
Retrieve details for a specific chat session.
GET
/
api
/
chats
/
{chatId}
Get chat
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Path Parameters
Chat identifier.
Query Parameters
Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.
Response
200 - application/json
Chat details.
Example:
"web_chat"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I